## imcode.server.user
Class ChainedLdapUserAndRoleRegistry

    java.lang.Object
      imcode.server.user.ChainedLdapUserAndRoleRegistry

All Implemented Interfaces:
  Authenticator, UserAndRoleRegistry

    public class ChainedLdapUserAndRoleRegistry

extends java.lang.Object
implements Authenticator, UserAndRoleRegistry

Created by IntelliJ IDEA. User: Anton Date: 8.11.2007 Time: 14:53:53 To change this template use File | Settings | File Templates.

Field Summary
`static java.lang.String[]` `DEFAULT_ROLES`

Constructor Summary
`ChainedLdapUserAndRoleRegistry()`
`ChainedLdapUserAndRoleRegistry(Authenticator authenticator, UserAndRoleRegistry userAndRoleRegistry)`

Method Summary
`void` `addLink(Authenticator authenticator, UserAndRoleRegistry userAndRoleRegistry)`
`boolean` `authenticate(java.lang.String loginName, java.lang.String password)`
`java.lang.String[]` `getAllRoleNames()`
`java.lang.String[]` `getRoleNames(UserDomainObject user)`
`UserDomainObject` `getUser(java.lang.String loginName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ROLES

    public static final java.lang.String[] DEFAULT_ROLES

Constructor Detail

### ChainedLdapUserAndRoleRegistry

    public ChainedLdapUserAndRoleRegistry()

### ChainedLdapUserAndRoleRegistry

    public ChainedLdapUserAndRoleRegistry(Authenticator authenticator,
                                          UserAndRoleRegistry userAndRoleRegistry)

Method Detail

### addLink

    public void addLink(Authenticator authenticator,
                        UserAndRoleRegistry userAndRoleRegistry)

### authenticate

    public boolean authenticate(java.lang.String loginName,
                                java.lang.String password)

  Specified by:
    `authenticate` in interface `Authenticator`

### getUser

    public UserDomainObject getUser(java.lang.String loginName)

  Specified by:
    `getUser` in interface `UserAndRoleRegistry`

### getRoleNames

    public java.lang.String[] getRoleNames(UserDomainObject user)

  Specified by:
    `getRoleNames` in interface `UserAndRoleRegistry`

### getAllRoleNames

    public java.lang.String[] getAllRoleNames()

  Specified by:
    `getAllRoleNames` in interface `UserAndRoleRegistry`